<?php
/* Autor...:  */
/* Esquema.: ALM_RequerimientoDetalleLote.xml */
/* Generado: 2020-08-18 04:21:24 */

/* Metodos de acceso a los campos de la tabla ALM_RequerimientoDetalleLote */
abstract class BaseALM_RequerimientoDetalleLoteBN
{
    /* Campos de la tabla */
    private $i_IdRequerimientoDetalleLote;    // IdRequerimientoDetalleLote: ( no definido )
    private $i_IdRequerimientoDetalle;    // IdRequerimientoDetalle: ( no definido )
    private $s_IdLote;    // IdLote: ( no definido )
    private $d_FechaVencimiento;    // FechaVencimiento: ( no definido )
    private $f_Cantidad;    // Cantidad: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdRequerimientoDetalleLote */
    public function setIdRequerimientoDetalleLote( $i_IdRequerimientoDetalleLote )
    {
        $this->i_IdRequerimientoDetalleLote = $i_IdRequerimientoDetalleLote;
    }

    /* Obtiene el valor del campo IdRequerimientoDetalleLote */
    public function getIdRequerimientoDetalleLote()
    {
        return $this->i_IdRequerimientoDetalleLote;
    }

    /* Establece el valor del campo IdRequerimientoDetalle */
    public function setIdRequerimientoDetalle( $i_IdRequerimientoDetalle )
    {
        $this->i_IdRequerimientoDetalle = $i_IdRequerimientoDetalle;
    }

    /* Obtiene el valor del campo IdRequerimientoDetalle */
    public function getIdRequerimientoDetalle()
    {
        return $this->i_IdRequerimientoDetalle;
    }

    /* Establece el valor del campo IdLote */
    public function setIdLote( $s_IdLote )
    {
        $this->s_IdLote = $s_IdLote;
    }

    /* Obtiene el valor del campo IdLote */
    public function getIdLote()
    {
        return $this->s_IdLote;
    }

    /* Establece el valor del campo FechaVencimiento */
    public function setFechaVencimiento( $d_FechaVencimiento )
    {
        $this->d_FechaVencimiento = $d_FechaVencimiento;
    }

    /* Obtiene el valor del campo FechaVencimiento */
    public function getFechaVencimiento()
    {
        return $this->d_FechaVencimiento;
    }

    /* Establece el valor del campo Cantidad */
    public function setCantidad( $f_Cantidad )
    {
        $this->f_Cantidad = $f_Cantidad;
    }

    /* Obtiene el valor del campo Cantidad */
    public function getCantidad()
    {
        return $this->f_Cantidad;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdRequerimientoDetalleLote' => $this->getIdRequerimientoDetalleLote(),
            'IdRequerimientoDetalle' => $this->getIdRequerimientoDetalle(),
            'IdLote' => $this->getIdLote(),
            'FechaVencimiento' => $this->getFechaVencimiento(),
            'Cantidad' => $this->getCantidad(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_RequerimientoDetalleLoteBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_RequerimientoDetalleLoteRs )
    {
        $o_ALM_RequerimientoDetalleLoteBN = new ALM_RequerimientoDetalleLoteBN();
        $o_ALM_RequerimientoDetalleLoteBN->setIdRequerimientoDetalleLote( ( integer ) $o_ALM_RequerimientoDetalleLoteRs[ "IdRequerimientoDetalleLote" ] );
        $o_ALM_RequerimientoDetalleLoteBN->setIdRequerimientoDetalle( ( integer ) $o_ALM_RequerimientoDetalleLoteRs[ "IdRequerimientoDetalle" ] );
        $o_ALM_RequerimientoDetalleLoteBN->setIdLote( $o_ALM_RequerimientoDetalleLoteRs[ "IdLote" ] );
        $o_ALM_RequerimientoDetalleLoteBN->setFechaVencimiento( utilTimestamp::getTimestamp( $o_ALM_RequerimientoDetalleLoteRs[ "FechaVencimiento" ], "Y-m-d" ) );
        $o_ALM_RequerimientoDetalleLoteBN->setCantidad( ( float ) $o_ALM_RequerimientoDetalleLoteRs[ "Cantidad" ] );
        $o_ALM_RequerimientoDetalleLoteBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_RequerimientoDetalleLoteRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_RequerimientoDetalleLoteBN->setUsuarioCreacion( $o_ALM_RequerimientoDetalleLoteRs[ "UsuarioCreacion" ] );
        $o_ALM_RequerimientoDetalleLoteBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_RequerimientoDetalleLoteRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_RequerimientoDetalleLoteBN->setUsuarioModificacion( $o_ALM_RequerimientoDetalleLoteRs[ "UsuarioModificacion" ] );
        return $o_ALM_RequerimientoDetalleLoteBN;
    }
}
?>